/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.poshi.runner.elements;

import java.util.List;

import org.dom4j.Attribute;
import org.dom4j.Element;
import org.dom4j.Node;

/**
 * @author Kenji Heigel
 */
public class MacroDefinitionPoshiElement extends DefinitionPoshiElement {

	@Override
	public PoshiElement clone(Element element) {
		if (isElementType(getElementName(), element)) {
			return new MacroDefinitionPoshiElement(element);
		}

		return null;
	}

	@Override
	public PoshiElement clone(
		PoshiElement parentPoshiElement, String readableSyntax) {

		if (isElementType(readableSyntax)) {
			return new MacroDefinitionPoshiElement(
				parentPoshiElement, readableSyntax);
		}

		return null;
	}

	protected MacroDefinitionPoshiElement() {
	}

	protected MacroDefinitionPoshiElement(Element element) {
		super(element);
	}

	protected MacroDefinitionPoshiElement(
		List<Attribute> attributes, List<Node> nodes) {

		super(attributes, nodes);
	}

	protected MacroDefinitionPoshiElement(
		PoshiElement parentPoshiElement, String readableSyntax) {

		super(parentPoshiElement, readableSyntax);
	}

	protected String getFileType() {
		return _FILE_TYPE;
	}

	private static final String _FILE_TYPE = "macro";

}