/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.poshi.runner.util.oauth;

import com.github.scribejava.core.builder.api.DefaultApi20;

/**
 * @author Leslie Wong
 */
public class OAuth20APIImpl extends DefaultApi20 {

	public OAuth20APIImpl(
		String accessTokenEndpoint, String authorizationBaseURL) {

		_accessTokenEndpoint = accessTokenEndpoint;
		_authorizationBaseURL = authorizationBaseURL;
	}

	@Override
	public String getAccessTokenEndpoint() {
		return _accessTokenEndpoint;
	}

	@Override
	public String getAuthorizationBaseUrl() {
		return _authorizationBaseURL;
	}

	private final String _accessTokenEndpoint;
	private final String _authorizationBaseURL;

}